version: 1
name: Build/boot duration of the Linux kernel
description: Build and QEMU boot duration of the Linux kernel with clang
jobs:
- name: arm64-defconfig
  builds:
    # build 1
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: 17c331c0e312941231ecdec94960c106be0cdaa5bd45d975f57c7ec4b27d8af0, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: 17c331c0e312941231ecdec94960c106be0cdaa5bd45d975f57c7ec4b27d8af0, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: 17c331c0e312941231ecdec94960c106be0cdaa5bd45d975f57c7ec4b27d8af0, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: 17c331c0e312941231ecdec94960c106be0cdaa5bd45d975f57c7ec4b27d8af0, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: 17c331c0e312941231ecdec94960c106be0cdaa5bd45d975f57c7ec4b27d8af0, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: 17c331c0e312941231ecdec94960c106be0cdaa5bd45d975f57c7ec4b27d8af0, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: 17c331c0e312941231ecdec94960c106be0cdaa5bd45d975f57c7ec4b27d8af0, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: 17c331c0e312941231ecdec94960c106be0cdaa5bd45d975f57c7ec4b27d8af0, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: 17c331c0e312941231ecdec94960c106be0cdaa5bd45d975f57c7ec4b27d8af0, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: 17c331c0e312941231ecdec94960c106be0cdaa5bd45d975f57c7ec4b27d8af0, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
  test:
      device: qemu-arm64
